Class | OptionParser::PlacedArgument
In: | optparse.rb
Parent: | self

Switch that takes an argument, which does not begin with ’-’.

### Methods

parse

### Public Instance methods

parse(arg, argv, &error)

Returns nil if argument is not present or begins with ’-’.

[Source]

    # File optparse.rb, line 488
          def parse(arg, argv, &error)
            if !(val = arg) and (argv.empty? or /\A-/ =~ (val = argv[0]))
              return nil, block, nil
            end
            opt = (val = parse_arg(val, &error))[1]
            val = conv_arg(*val)
            if opt and !arg
              argv.shift
            else
              val[0] = nil
            end
            val
          end

[Validate]